# salt.modules.restartcheck

checkrestart functionality for Debian and Red Hat Based systems

Identifies services (processes) that are linked against deleted files (for example after downloading an updated binary of a shared library).

Based on checkrestart script from debian-goodies (written by Matt Zimmerman for the Debian GNU/Linux distribution, https://packages.debian.org/debian-goodies) and psdel by Sam Morris.

codeauthor:

  Jiri Kotlin <jiri.kotlin@ultimum.io>

salt.modules.restartcheck.restartcheck(ignorelist=None, blacklist=None, excludepid=None, **kwargs)

  Analyzes files openeded by running processes and seeks for packages which need to be restarted.

  Parameters:

    - ignorelist -- string or list of packages to be ignored.

    - blacklist -- string or list of file paths to be ignored.

    - excludepid -- string or list of process IDs to be ignored.

    - verbose -- boolean, enables extensive output.

    - timeout -- int, timeout in minute.

  Returns:

    `{ 'result': False, 'comment': '<reason>' }`. String with checkrestart output if some package seems to need to be restarted or if no packages need restarting.

  Return type:

    Dict on error

  Added in version 2015.8.3.

  CLI Example:

      salt '*' restartcheck.restartcheck